#!/usr/bin/perl

# arguments: [-t time_limit] file1 file2 ...

my $dir="/usr/users/stanovsk/h2wo4";

print "\nTungstic acid (H2WO4) ver. 07/11 for CASC-23\n";

my $t="";
if ($ARGV[0] eq "-t") { shift(@ARGV); $t=shift(@ARGV); };

while (@ARGV>0) {
  my $f=shift(@ARGV);
  my $a=gmtime(time);
  print "\n============= $f started $a GMT\n\n";

  print `$dir/tfa2math.pl $f $t | math | $dir/math2szs.pl`;

  print "\n============= $f ended $a GMT\n\n";
 };
 